Skip to content

Get banks for a country

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Get banks for a country

Security
oauth2ClientCredentials(Required scopes: payments:read)
Query
countrystringrequired

Country code (e.g., KENYA)

Example:country=KENYA
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/payments/banks?country=KENYA' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Banks retrieved successfully

Bodyapplication/json
Array [
idnumber

Bank ID

codestring

Bank code

Example:"01"
paybillstring

Bank paybill number

namestring

Bank name

Example:"KENYA COMMERCIAL BANK"
countrystring

Country code

Example:"KE"
statusnumber

Bank status (1 = active)

swiftcodestring

SWIFT code

Example:"KCBLKENX"
data_jsonobject

Additional JSON data

timestampstring

Timestamp

branchcodenumber

Branch code

]
Response
[ { "id": 0, "code": "01", "paybill": "string", "name": "KENYA COMMERCIAL BANK", "country": "KE", "status": 0, "swiftcode": "KCBLKENX", "data_json": {}, "timestamp": "string", "branchcode": 0 } ]